[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: autoconf from cvs

From: Jim Meyering
Subject: Re: autoconf from cvs
Date: Sat, 10 Nov 2007 10:44:11 +0100

Patrick Welche <address@hidden> wrote:
> There is a potential pitfall when grabbing autoconf via CVS from the
> git repository which is that VERSION is computed by build-aux/git-version-gen
> which runs git describe. If you checked out via CVS, git rightly complains
> that the checkout isn't a git repository. VERSION is then UNKNOWN, rather
> than say 2.61a.265-feef9-dirty. m4_version_prereq([2.57]) eg in
> then fails.
> % bin/autoconf --version
> autoconf (GNU Autoconf) UNKNOWN

Thanks for the report.
If you really need to use cvs, you can get by
with something like this:

echo 2.61a.265-feef9-dirty > .version

If enough people care about this (and let us know),
then I'll make it work.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]